uk.gov.hmrc.ct.domain

# CompanyTypes

###
Related Doc: package domain

#### object CompanyTypes

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompanyTypes
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class CompanyType extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val AllCharityTypes: Set[CompanyType]

5. #### val AllCompanyTypes: Set[CompanyType]

6. #### object CASC extends CompanyType with Product with Serializable

7. #### object Charity extends CompanyType with Product with Serializable

8. #### object CloseInvestmentHoldingCompany extends CompanyType with Product with Serializable

9. #### object CompanyInLiquidation extends CompanyType with Product with Serializable

10. #### object CompanyLimitedByGuarantee extends CompanyType with Product with Serializable

11. #### object Ineligible extends CompanyType with Product with Serializable

12. #### object InsuranceCompany extends CompanyType with Product with Serializable

13. #### object InvestmentTrustWithHousingInvestmentProfits extends CompanyType with Product with Serializable

14. #### object LimitedByGuaranteeCASC extends CompanyType with Product with Serializable

15. #### object LimitedByGuaranteeCharity extends CompanyType with Product with Serializable

16. #### val LimitedByGuaranteeCompanyTypes: Set[CompanyType]

17. #### object LimitedBySharesCASC extends CompanyType with Product with Serializable

18. #### object LimitedBySharesCharity extends CompanyType with Product with Serializable

19. #### object LimitedLiabilityPartnership extends CompanyType with Product with Serializable

20. #### object MembersClub extends CompanyType with Product with Serializable

21. #### object MembersVoluntaryLiquidation extends CompanyType with Product with Serializable

22. #### object PropertyManagementCompany extends CompanyType with Product with Serializable

23. #### object PublicLimitedCompany extends CompanyType with Product with Serializable

24. #### object RealEstateInvestmentTrust extends CompanyType with Product with Serializable

25. #### object UkTradingCompany extends CompanyType with Product with Serializable

26. #### object UnitTrust extends CompanyType with Product with Serializable

27. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

28. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

32. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

33. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

34. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### implicit val reads: Reads[CompanyType]

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### implicit val writes: Writes[CompanyType]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped